AOZ Studio Beta - Bug #766

Bar command draws bars 1 pixel too small in both directions.
05/29/2021 06:08 PM - Brian Flanagan

Status: Closed Start date: 05/29/2021
Priority: Normal Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B8)

Description

In the following example, there should be no black lines to the right of or below the bars.

#displayWidth: 800

#displayHeight: 400

Screen Open 0,800,400,32,Lowres

Flash Off : Curs Off

Palette 0,$333333,$777777, $BBBBBB, SFFFFFF, $330000, $770000, $BB0000, SFF0000, $003300, $007700, SO0OBBOO,
$00FF00, $000033, 5000077, $0000BB, SO000FF, $330033,$770077, $SBBOOBRB, SFFOOFF, $333300,$777700, SBBBB0O, SF
FFF00,$003333,$007777, SO0BBBB, SOOFFFF

Cls O
xPos=0
iCol=1
Repeat
ink iCol
Bar xPos,0 To xPos+15,Screen Height-2
Add xPos, 16
Inc iCol : If iCol > 28 Then iCol=1
Until xPos >= Screen Width

History

#1 - 05/29/2021 06:16 PM - Brian Flanagan

There was a typo in the example, but it doesn't affect the results.
The bar command should read:

Bar xPos,0 To xPos+15,Screen Height-1

There are still black lines below and to the right of each bar, which should not be there.

#2 - 09/07/2021 06:52 AM - Francois Lionet

- Assignee set to David Baldwin

Should be fixed in beta 10! Thanks Dave. :)

#3 - 09/08/2021 01:35 AM - Brian Flanagan
- Status changed from New to Resolved

- Target version changed from none to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16 (9/7 rev)
Working!

#4 - 02/13/2022 05:28 PM - David Baldwin

- Status changed from Resolved to Closed

Files
